New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set generation mode

PUT
/api/v1/settings/generation-mode

Switch generation mode. Validates mode is supported by active model.

Query Parameters

mode*Mode

Mode: 'clone', 'design', 'tts', or 'stt'

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the mode was actually changed

needs_reload?Needs Reload

Whether the TTS model needs to be reloaded for the new mode

Defaultfalse
message?|

Optional status message

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/generation-mode?mode=string'
Example Response
{  "success": true,  "changed": true,  "needs_reload": false,  "message": "string"}